Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Interface ArchiveFileConstants

All Known Subinterfaces:
  ARCConstants, WARCConstants

All Known Implementing Classes:
  ArchiveReader, ArchiveReaderFactory, ARCReader, ARCReaderFactory, ARCRecord, ARCRecordMetaData, ARCUtils, ARCWriter, ARCWriterProcessor, WARCReader, WARCReaderFactory, WARCRecord, WARCWriter, WARCWriterProcessor, WriterPoolMember

    public interface ArchiveFileConstants

Constants used by Archive files and in Archive file processing.

Version:
  $Date: 2006-09-12 19:41:23 +0000 (Tue, 12 Sep 2006) $ $Revision: 4620 $
Author:
  stack

Field Summary
`static java.lang.String` | `ABSOLUTE_OFFSET_KEY` Key for the Archive Record absolute offset into Archive file.
`static java.lang.String` | `CDX`
`static java.lang.String` | `CDX_FILE`
`static int` | `CDX_LINE_BUFFER_SIZE` Size used to preallocate stringbuffer used outputting a cdx line.
`static java.lang.String` | `COMPRESSED_FILE_EXTENSION` Compressed file extention.
`static java.lang.String` | `CRLF`
`static java.lang.String` | `DATE_FIELD_KEY` Key for the Archive File Creation Date field.
`static java.lang.String` | `DEFAULT_DIGEST_METHOD`
`static java.lang.String` | `DOT_COMPRESSED_FILE_EXTENSION` Dot plus compressed file extention.
`static java.lang.String` | `DUMP`
`static java.lang.String` | `GZIP_DUMP`
`static java.lang.String` | `HEADER`
`static java.lang.String` | `INVALID_SUFFIX` Suffix appended to 'broken' files.
`static java.lang.String` | `LENGTH_FIELD_KEY` Key for the Archive File length field.
`static java.lang.String` | `MIMETYPE_FIELD_KEY` Key for the Archive File mimetype field.
`static java.lang.String` | `NOHEAD`
`static java.lang.String` | `OCCUPIED_SUFFIX` Suffix given to files currently in use.
`static java.lang.String` | `READER_IDENTIFIER_FIELD_KEY`
`static java.lang.String` | `RECORD_IDENTIFIER_FIELD_KEY` Key for the Archive File record field.
`static char` | `SINGLE_SPACE`
`static java.lang.String` | `TYPE_FIELD_KEY` Key for the Archive File type field.
`static java.lang.String` | `URL_FIELD_KEY` Key for the Archive File URL field.
`static java.lang.String` | `VERSION_FIELD_KEY` Key for the Archive File version field.

Field Detail

### OCCUPIED_SUFFIX

    static final java.lang.String OCCUPIED_SUFFIX

  Suffix given to files currently in use.

  See Also:
    Constant Field Values

### INVALID_SUFFIX

    static final java.lang.String INVALID_SUFFIX

  Suffix appended to 'broken' files.

  See Also:
    Constant Field Values

### COMPRESSED_FILE_EXTENSION

    static final java.lang.String COMPRESSED_FILE_EXTENSION

  Compressed file extention.

  See Also:
    Constant Field Values

### DOT_COMPRESSED_FILE_EXTENSION

    static final java.lang.String DOT_COMPRESSED_FILE_EXTENSION

  Dot plus compressed file extention.

  See Also:
    Constant Field Values

### VERSION_FIELD_KEY

    static final java.lang.String VERSION_FIELD_KEY

  Key for the Archive File version field.

  See Also:
    Constant Field Values

### LENGTH_FIELD_KEY

    static final java.lang.String LENGTH_FIELD_KEY

  Key for the Archive File length field.

  See Also:
    Constant Field Values

### TYPE_FIELD_KEY

    static final java.lang.String TYPE_FIELD_KEY

  Key for the Archive File type field.

  See Also:
    Constant Field Values

### URL_FIELD_KEY

    static final java.lang.String URL_FIELD_KEY

  Key for the Archive File URL field.

  See Also:
    Constant Field Values

### DATE_FIELD_KEY

    static final java.lang.String DATE_FIELD_KEY

  Key for the Archive File Creation Date field.

  See Also:
    Constant Field Values

### MIMETYPE_FIELD_KEY

    static final java.lang.String MIMETYPE_FIELD_KEY

  Key for the Archive File mimetype field.

  See Also:
    Constant Field Values

### RECORD_IDENTIFIER_FIELD_KEY

    static final java.lang.String RECORD_IDENTIFIER_FIELD_KEY

  Key for the Archive File record field.

  See Also:
    Constant Field Values

### ABSOLUTE_OFFSET_KEY

    static final java.lang.String ABSOLUTE_OFFSET_KEY

  Key for the Archive Record absolute offset into Archive file.

  See Also:
    Constant Field Values

### READER_IDENTIFIER_FIELD_KEY

    static final java.lang.String READER_IDENTIFIER_FIELD_KEY

See Also:
  Constant Field Values

### CDX_LINE_BUFFER_SIZE

    static final int CDX_LINE_BUFFER_SIZE

  Size used to preallocate stringbuffer used outputting a cdx line. The numbers below are guesses at sizes of each of the cdx fields. The ones in the below are spaces. Here is the legend used outputting the cdx line: CDX b e a m s c V n g. Consult cdx documentation on meaning of each of these fields.

  See Also:
    Constant Field Values

### DEFAULT_DIGEST_METHOD

    static final java.lang.String DEFAULT_DIGEST_METHOD

See Also:
  Constant Field Values

### SINGLE_SPACE

    static final char SINGLE_SPACE

See Also:
  Constant Field Values

### CRLF

    static final java.lang.String CRLF

See Also:
  Constant Field Values

### CDX

    static final java.lang.String CDX

See Also:
  Constant Field Values

### DUMP

    static final java.lang.String DUMP

See Also:
  Constant Field Values

### GZIP_DUMP

    static final java.lang.String GZIP_DUMP

See Also:
  Constant Field Values

### HEADER

    static final java.lang.String HEADER

See Also:
  Constant Field Values

### NOHEAD

    static final java.lang.String NOHEAD

See Also:
  Constant Field Values

### CDX_FILE

    static final java.lang.String CDX_FILE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.